{
    "doc": "Full record for the ACMG variant clasiffication, including all selectedd evidences and the final classification.",
    "fields": [
        {
            "name": "acmgEvidences",
            "type": {
                "items": {
                    "doc": "AcmgEvidence. This should be buit for each one of the evidences assing to a variants following the ACMG guidelines.\n    An AcmgEvidence, should map with one of the criteria defined, i.e, PVS1, BA1, PM1...",
                    "fields": [
                        {
                            "doc": "Evidence category as defined in ACMG guidelines",
                            "name": "category",
                            "type": {
                                "doc": "Each ACMG criterion is classified in one of these categories",
                                "name": "AcmgEvidenceCategory",
                                "symbols": [
                                    "population_data",
                                    "computational_and_predictive_data",
                                    "functional_data",
                                    "segregation_data",
                                    "de_novo_data",
                                    "allelic_data",
                                    "other_database",
                                    "other_data"
                                ],
                                "type": "enum"
                            }
                        },
                        {
                            "doc": "Evidence type: bening or pathogenic",
                            "name": "type",
                            "type": {
                                "doc": "Each ACMG cirterion will be classifed as bening or pathogenic",
                                "name": "AcmgEvidenceType",
                                "symbols": [
                                    "bening",
                                    "pathogenic"
                                ],
                                "type": "enum"
                            }
                        },
                        {
                            "doc": "Weight categories as described in ACMG guideline",
                            "name": "weight",
                            "type": {
                                "doc": "Each ACMG criterion is weighted using the following terms:\n\n* `stand_alone`: `A`, stand-alone applied for benign variant critieria `(BA1)`\n* `supporting`: `P`, supporting applied for benign variant critieria `(BP1-6)` and pathogenic variant criteria `(PP1-5)`\n* `moderate`: `M`, moderate applied for pathogenic variant critieria (PM1-6)\n* `strong`: `S`, strong applied for pathogenic variant critieria (PS1-4)\n* `very_strong`: `S`, Very Stong applied for pathogenic variant critieria (PVS1)",
                                "name": "AcmgEvidenceWeight",
                                "symbols": [
                                    "stand_alone",
                                    "supporting",
                                    "moderate",
                                    "strong",
                                    "very_strong"
                                ],
                                "type": "enum"
                            }
                        },
                        {
                            "doc": "modifier of the strength, together define each creteria, i.e the 2 in PM2",
                            "name": "modifier",
                            "type": "int"
                        },
                        {
                            "doc": "Description of the evidence",
                            "name": "description",
                            "type": [
                                "null",
                                "string"
                            ]
                        }
                    ],
                    "name": "AcmgEvidence",
                    "type": "record"
                },
                "type": "array"
            }
        },
        {
            "name": "clinicalSignificance",
            "type": {
                "name": "ClinicalSignificance",
                "symbols": [
                    "benign",
                    "likely_benign",
                    "likely_pathogenic",
                    "pathogenic",
                    "uncertain_significance"
                ],
                "type": "enum"
            }
        },
        {
            "name": "assessment",
            "type": [
                "null",
                "string"
            ]
        }
    ],
    "name": "AcmgVariantClassification",
    "namespace": "org.gel.models.report.avro",
    "type": "record"
}